com.sun.javadoc

## Interface MemberDoc

- All Superinterfaces:
    Comparable<Object>, Doc, ProgramElementDoc
  All Known Subinterfaces:
    AnnotationTypeElementDoc, ConstructorDoc, ExecutableMemberDoc, FieldDoc, MethodDoc

      public interface MemberDoc
      extends ProgramElementDoc

  Represents a member of a java class: field, constructor, or method. This is an abstract class dealing with information common to method, constructor and field members. Class members of a class (innerclasses) are represented instead by ClassDoc.
  See Also:
    `MethodDoc`, `FieldDoc`, `ClassDoc`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isSynthetic()` Returns true if this member was synthesized by the compiler.

    - ### Methods inherited from interface com.sun.javadoc.ProgramElementDoc

      `annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifiers, modifierSpecifier, qualifiedName`

    - ### Methods inherited from interface com.sun.javadoc.Doc

      `commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

- - ### Method Detail

    - #### isSynthetic

          boolean isSynthetic()

      Returns true if this member was synthesized by the compiler.

Submit a bug or feature
Java is a trademark or registered trademark of Oracle and/or its affiliates in the US and other countries.
Copyright © 1993, 2014, Oracle and/or its affiliates. 500 Oracle Parkway
Redwood Shores, CA 94065 USA. All rights reserved.